//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace PsyApp
{
    using System;
    using System.Collections.Generic;
    
    public partial class Session
    {
        public int SessionID { get; set; }
        public System.DateTime SessionStart { get; set; }
        public Nullable<System.DateTime> SessionEnd { get; set; }
        public System.DateTime SessionDate { get; set; }
        public Nullable<int> SessionDuration { get; set; }
        public Nullable<decimal> SessionPrice { get; set; }
        public bool SessionIsPaid { get; set; }
        public string SessionPaymentMethod { get; set; }
        public string SessionSubject { get; set; }
        public string SessionComments { get; set; }
        public int PatientID { get; set; }
        public int DayID { get; set; }
        public Nullable<int> InvoiceID { get; set; }
        public int UserID { get; set; }
    
        public virtual Day Day { get; set; }
        public virtual Invoice Invoice { get; set; }
        public virtual Patient Patient { get; set; }
        public virtual User User { get; set; }
    }
}
